package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Status;
import com.realnet.vpspack.Services.StatusService ;


@RequestMapping(value = "/Status")
 @CrossOrigin("*") 
@RestController
public class StatusController {
	@Autowired
	private StatusService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Status")
		  public Status Savedata(@RequestBody Status data) {
		Status save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Status/{id}")
	public  Status update(@RequestBody Status data,@PathVariable Integer id ) {
		Status update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Status/getall/page")
	public Page<Status> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Status> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Status")
	public List<Status> getdetails() {
		 List<Status> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Status")
	public List<Status> getallwioutsec() {
		 List<Status> get = Service.getdetails();		
		return get;
}
@GetMapping("/Status/{id}")
	public  Status  getdetailsbyId(@PathVariable Integer id ) {
		Status  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Status/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}